GNU bug report logs - #5410
show-paren-mode and parens spread over multi-line comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Matrix <min.matrix@HIDDEN>; merged with #5411; dated Mon, 18 Jan 2010 12:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 23 Aug 2016 15:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 23 11:02:50 2016
Received: from localhost ([127.0.0.1]:38051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bcDDw-00037c-LA
	for submit <at> debbugs.gnu.org; Tue, 23 Aug 2016 11:02:50 -0400
Received: from mout.web.de ([212.227.17.11]:57750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1bcDDp-00037G-1a
 for 5410 <at> debbugs.gnu.org; Tue, 23 Aug 2016 11:02:43 -0400
Received: from drachen.dragon ([88.67.108.96]) by smtp.web.de (mrweb103) with
 ESMTPSA (Nemesis) id 0MVLak-1bdmcF2WXG-00YmUx;
 Tue, 23 Aug 2016 17:02:29 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
References: <1263817237.2894.15.camel@matrix-laptop>
 <m2ziotcm45.fsf@HIDDEN> <871t25fdkb.fsf@HIDDEN>
 <CAM6wYYL_Eua3NR+GRAxFVR4mqKExuGaDrMKbBfKZq3PHroKsxw@HIDDEN>
 <87shukuryr.fsf@HIDDEN> <m27fboq7nz.fsf@HIDDEN>
Date: Tue, 23 Aug 2016 17:02:28 +0200
In-Reply-To: <m27fboq7nz.fsf@HIDDEN> (Andrew Hyatt's
 message of "Wed, 10 Aug 2016 23:57:36 -0400")
Message-ID: <87mvk3frzv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:0NG78XHdYELVcoFzv7wIT1FdQLzNuKpxK5xQI+MWDQxIO6btOgX
 Rccfzmji0XBtXCK1QxJwV93iEV2hsnx13RgWfMt26jF4uCiTcTIAdMQ2goe0rKAoSmH/Quw
 ltsDAECdRnJwxCjg+V7zcxWH1RnRvdJvjvtyDcG0JcWn/2c/U9KHcou6SAinuQjlvOyjbKr
 27+HVnFf1Lp0Nul27hfKw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:5jI4WaaXIqE=:g9rZIaYwt5grOAqmGwDDk3
 xPBLMwHQ8tBNrocvrZxebhBc60fjDT3Cmd4YqkxxqcBy9u5MaDLzwbcMLm8lsrajO5aU9AqVr
 Vj3xX1CFhLhKzyIFPQVAIRzQCpL1DMo2PLyBEVFYq9izpPOqte7QjhUSx/abQ4hV5prfTOHNi
 JXwnI7beAvKBYS7rj/hbV4WUtnhhSzh5g6tHlWaq1aG1oRCrfoNgP2qhmAQYJqPAS9P5ed2rm
 tfKv9ntbeSx1fLJxt8zjhLx/W+h6ICgbUaaDYHzQBcLz0LPYxV7QvA+3iUKu07mh7TvZ9MVle
 86IAVfbK8NqI5AfEOmVkB6nMEvqxdVNixXBYjePKkdfCdOakSDtsIvhnTxPU8L+9ACIWecOpu
 UTaGK2hSqhE3by1hqEFpFM3fHOOqFrzeFdYlUzX9yaJoT3ENU07LUifIdkxz2AqAjRFn/JzBY
 9Bd2GBosqlywvtjT1DEMDZ7Ia+FX3/09+LosbDeDEE1dMR9G7UnXNN8AMkDg0iqtS/GRAdUDW
 7uc15ZfqwqGDcJLKhcK4trJjse9uSF3vqv9ttPNTdy0aeSfrgWp0gVL2ymQHInlNUHG7Fxp+u
 SkrMQyPQsOG1XOzO5Aw3gVdhYA5z+8xRVu2L/RxreU6NfAeirV0thIk1SQ+wPTy1T0D3gaquP
 RFLT45ARZRY265qmvrf2pZJ94RqmnDOleJcP7xv4B86ccMqq2drjVcQWZNLh3p8iB1dmtNr3N
 K+q9tOrlvQLpFbk99jAjQkl1/FJBJ6hECVufWX2Nfq9PMpww9lULKUpeXYKyVqqD4IWFtuCoZ
 NK78XFm
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 5410
Cc: Matrix <min.matrix@HIDDEN>, 5410 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Andrew Hyatt <ahyatt@HIDDEN> writes:

> Interesting point.  The more I hear, the more this sounds like a
> wishlist item - we just don't seem to have a way to treat paren
> matching in comments separately yet with multiline capabilities.  I'm
> going to mark it as wishlist for now.

I agree - thanks.

FWIW I had filed

  bug#24172: 25.1; Doc of parse-sexp-ignore-comments: what does a value
  of nil mean?

When once it has been fixed, we'll know better how to fix this issue.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Andrew Hyatt <ahyatt@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 11 Aug 2016 03:57:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 23:57:47 2016
Received: from localhost ([127.0.0.1]:52817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bXh7r-0008Eh-MG
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 23:57:47 -0400
Received: from mail-qk0-f173.google.com ([209.85.220.173]:32810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bXh7q-0008EU-5M
 for 5410 <at> debbugs.gnu.org; Wed, 10 Aug 2016 23:57:46 -0400
Received: by mail-qk0-f173.google.com with SMTP id t7so63548826qkh.0
 for <5410 <at> debbugs.gnu.org>; Wed, 10 Aug 2016 20:57:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ZJQ7ukzUdpHIpZHX14FwYLr/Bn4KTsdgsNLrJRIr2bk=;
 b=bAsvdfuP3M17p7btdPs+byHRVRTpJiaMdeUmsOEILI57vS8IUxo+siDACY8uiSNeYn
 qf2ctN9liZkb4GUyFYziTjLADFzY5lCmmIsdkP8zetCIc/AeFtYlKS/DvgZ2tO/GH2zA
 KxFwf81nYv59ufo+YfhHqjK7xyAgxyZU/jDGNKSSzK28OA42vUDgueabOd2bwseuyW9R
 ePqCR5TDzV45wj6TIpfFzYSaYLcVbiJyBuGyeN919b4eRthGQ4mDKMBMf9AFUQceDyUU
 EZYux38LBwkNsycSuw4ioazNRrvmLa4XwSzjON0KPW848wFhxSzowF2cD/Eph2tZxyA8
 uaNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ZJQ7ukzUdpHIpZHX14FwYLr/Bn4KTsdgsNLrJRIr2bk=;
 b=MjGZweO3IXxbpe/mzN3f7T2ekuWvqx4lNirHnKrpbJJsfsi5R/OGbBWKr4BqzfkIyp
 NeyHM8yIZY1/a94OI7BJYtKX8Av2SpOBPsHKqUByxqmRSgA3lJdwPmn8pFXu/Q8H70th
 SYo+sA//Wz+n5JD71NjApwlygZ9pr6HRJY7PhwzueucSCzJWP8CWfGszwZybeiTJtohq
 +r44KCMqZUhqeTLMC3oPT2r0TsVLSfD2Mfyr4tumTsgEVkC4sOdcU06rkkDIWPAshv5U
 x0p22RI/k/lhiV5osswoy3BoSPqOO8Ut4SVZDuOW4Xnku1FXWWjaZ81FbltO8aDfpyo/
 i2XQ==
X-Gm-Message-State: AEkoouvbOudPRDacvpJA0Ly8zc23PIF+1TqxW44yit8uaxyrHU3nmwJ7vRYVpF2neySZwA==
X-Received: by 10.55.155.140 with SMTP id d134mr8840963qke.145.1470887860594; 
 Wed, 10 Aug 2016 20:57:40 -0700 (PDT)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id u44sm421695qtc.27.2016.08.10.20.57.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 10 Aug 2016 20:57:37 -0700 (PDT)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
References: <1263817237.2894.15.camel@matrix-laptop>
 <m2ziotcm45.fsf@HIDDEN> <871t25fdkb.fsf@HIDDEN>
 <CAM6wYYL_Eua3NR+GRAxFVR4mqKExuGaDrMKbBfKZq3PHroKsxw@HIDDEN>
 <87shukuryr.fsf@HIDDEN>
Date: Wed, 10 Aug 2016 23:57:36 -0400
In-Reply-To: <87shukuryr.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 04
 Aug 2016 23:47:24 +0200")
Message-ID: <m27fboq7nz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5410
Cc: Matrix <min.matrix@HIDDEN>, 5410 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Andrew Hyatt <ahyatt@HIDDEN> writes:
>
>> It'd be nice, I guess, if you could just turn it to nil when in a
>> comment.
>
> Yes, I think we could bind `parse-sexp-ignore-comments' to nil around
> the calls to `scan-sexps' in `show-paren--default' when point is inside
> a comment.  But I must admit that I don't understand the terse doc of
> `parse-sexp-ignore-comments':
>
> |  Non-nil means `forward-sexp', etc., should treat comments as
> |  whitespace.
>
> But what does nil mean, exactly?  It seems that comments are then
> treated as if they were indistinguishable from code.  When I set
> `parse-sexp-ignore-comments' to nil in emacs-lisp-mode, and have such a
> file:
>
> ;; (
> )
>
> then show-paren-mode indicates the parens as matching, though one is
> inside in a comment, and the other is not.  `scan-sexps' behaves
> accordingly.  That would mean we would need to assure that the matching
> paren position that `scan-sexps' has found is still inside the current
> comment.

Interesting point.  The more I hear, the more this sounds like a
wishlist item - we just don't seem to have a way to treat paren matching
in comments separately yet with multiline capabilities.  I'm going to
mark it as wishlist for now.

>
>
> Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 4 Aug 2016 21:47:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 17:47:35 2016
Received: from localhost ([127.0.0.1]:55931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bVQUJ-0004OJ-Og
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2016 17:47:35 -0400
Received: from mout.web.de ([212.227.17.12]:59421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1bVQUH-0004O5-U2
 for 5410 <at> debbugs.gnu.org; Thu, 04 Aug 2016 17:47:34 -0400
Received: from drachen.dragon ([88.67.73.210]) by smtp.web.de (mrweb103) with
 ESMTPSA (Nemesis) id 0Lj2I6-1ayqHr3gX0-00dCTq;
 Thu, 04 Aug 2016 23:47:26 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
References: <1263817237.2894.15.camel@matrix-laptop>
 <m2ziotcm45.fsf@HIDDEN> <871t25fdkb.fsf@HIDDEN>
 <CAM6wYYL_Eua3NR+GRAxFVR4mqKExuGaDrMKbBfKZq3PHroKsxw@HIDDEN>
Date: Thu, 04 Aug 2016 23:47:24 +0200
In-Reply-To: <CAM6wYYL_Eua3NR+GRAxFVR4mqKExuGaDrMKbBfKZq3PHroKsxw@HIDDEN>
 (Andrew Hyatt's message of "Thu, 04 Aug 2016 20:17:08 +0000")
Message-ID: <87shukuryr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:TvntJoMDUg/hAprf5RBHwsEuw9+2SXA9mvvhRUfbTz/nU1UKmsG
 6zYI3UUbXFLTbb3Q6cG3QwjvjzybwTTz/8LwHbIgHi4pL/sIcdFMNYDi5euRVffRC3M1WqL
 KYu08M+G8edB5PJn0Y9tueMHieywoNV0LrSk7bkgr5uyFNf9xA/8dFGQ++sfgmbWzEubH81
 AyYEQtyBDY2EpyKOYK3IQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:HMfYtYkPJ+U=:xkdXW23JwUyc5AfWhxDcCd
 OSZ8Bli31Z49s03OlXuo4VP1f+VOpg+OxXJhgbqtuiSFsLUWDbLKq+wUfFM1ql96r527qn+pz
 VBCp2AJySVwdcUf3CgoPc6LVa/D/fO2tvT4Cb1P5CB1i9KV/2vPmclyMGddi5DwoO8dYyHT+Y
 wAdG9Th1fqXOJ66oQ/k2BjqJV2lVQ30eZUsFGVcTie+MFL0KhvoqxO00aBXyHg5+LVIVz42fu
 pEoY4CBpfsIg5J2AEg/Zwty7uP4Z12iCXon13CT9//6vz07b0Hfgd4Y16OSzgPdp94HsXGVG7
 dSxHn3yszCNt4ykF4Y+lvMn7S3q29furUvidLFpI7fi8NtR8DvjVKGeESDbPc3Ie+O2VMibzq
 RR7xUrCMbqFc4P1ZHwENu73jD0dJ5ve+Dli7tymTSI8tlLdT2Kns57AXMzN0AJPZfSVGVAVJ0
 HdNmTqcGE7U8YQXjkqlqhPIMaj9PHA9SMJLY+PprWdq5nlq8EmbI1TzwhdjpcTmm1UJWI8FP5
 BLp1/hS5lTkymmnNwKw7u8hNSZcElKlAV3jHUHn6dTRb4YaVoM7MvpdO8gTRxKGJrQjztAfbE
 NuUHvlJ4AoroUJVqYCR2s/efVFr4BoQ+cixBzk/ap1ekxe4KiOz5IDOu7KnHsYnwPO3GSYfwR
 Qyf/Ha9McjRrX/ueqkcbU3idVi49ZMpCznk64lJEcJVC60tAzJO/WOruvSsGFRByhNZP32TFP
 wd1DDSLg8RbQnA48ZFVZ/afJ02H4zNS3xuWnwSdOcNTgED0sVulr0ZG05+4tOgtXN8mWHhRyM
 CbvblS1
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 5410
Cc: 5410 <at> debbugs.gnu.org, Matrix <min.matrix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

Andrew Hyatt <ahyatt@HIDDEN> writes:

> It'd be nice, I guess, if you could just turn it to nil when in a
> comment.

Yes, I think we could bind `parse-sexp-ignore-comments' to nil around
the calls to `scan-sexps' in `show-paren--default' when point is inside
a comment.  But I must admit that I don't understand the terse doc of
`parse-sexp-ignore-comments':

|  Non-nil means `forward-sexp', etc., should treat comments as
|  whitespace.

But what does nil mean, exactly?  It seems that comments are then
treated as if they were indistinguishable from code.  When I set
`parse-sexp-ignore-comments' to nil in emacs-lisp-mode, and have such a
file:

;; (
)

then show-paren-mode indicates the parens as matching, though one is
inside in a comment, and the other is not.  `scan-sexps' behaves
accordingly.  That would mean we would need to assure that the matching
paren position that `scan-sexps' has found is still inside the current
comment.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 4 Aug 2016 20:17:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 16:17:28 2016
Received: from localhost ([127.0.0.1]:55886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bVP56-0002Na-GK
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2016 16:17:28 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:38539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bVP54-0002NM-IV
 for 5410 <at> debbugs.gnu.org; Thu, 04 Aug 2016 16:17:26 -0400
Received: by mail-wm0-f46.google.com with SMTP id o80so8205761wme.1
 for <5410 <at> debbugs.gnu.org>; Thu, 04 Aug 2016 13:17:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=XvU+KeeBTgNo5xjXS2z9rMlVyqAdnvTSC9LJjaUay84=;
 b=K7lidOpsmvyi4SmA7E2E+Gp/9Tr9DAgug2fq+vgobjaiiQPxrOGcH/kpFT62gsAg9D
 JrHwT++4gM3pImATUZ5nJIgjdms6tpXPPc6U4SN0ZAskJwm13M8b8DMhgfIjL6T3BQK2
 JfMwIuyRyEaJJjOjx4cJ4JGrqbthwjamQeSp/bDj0qP/vh8QjIx2k4tIhQ4+68qpd+Xv
 h3sZDsDBsk9xCtz2GowGrLm8Jkz7s1tm1jbrItcDNwLhwV4cTQywyS6xu3GTfazRcBCS
 VLFiAQOlLt5i1VvNC/UGI7k5NZpWfzzwRongovZ14XFc0ZWEfIlbHbb7pEZDIAVCDQpE
 W1tQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=XvU+KeeBTgNo5xjXS2z9rMlVyqAdnvTSC9LJjaUay84=;
 b=fvvz0tJe5DJ3gGi0SUuLjgnInV37T9vF2J7Xd2MPm+uz/ULSJQc3ssEGx1mdsJHV/f
 jGRbxVm0Lo/rvlcBtjWLaxr5yfxFtqTyjcbyM4MCCRCYCa+7IHs0+8Lck9CuWlsXl6dT
 8yIF9FI/qHxvG0JT41+1YAKEH/2OOn0AOsqWwCF7eP4VuH/8CzPwKyDfG7Pd2dkDkmDu
 gC5El4YTaDvnjUPNUdIYbwJ7PG6NZqvCZF3cpgPv4tOtuoveH4GD4J60uxf9R/4nQI2h
 +ndtKeLqHc4+03LPu1d3u5TvoGXeo3HluI/qZGW9OmskemQodE1pVpu8T8j0/uhT6jvi
 QtaA==
X-Gm-Message-State: AEkoouvA0y4waMqEnn9QiCMWK7wWuTk+0pmiNq1cP6WTUtkpaRs+FEIuLNzqs8k0q/GMUrp+DQysK/lqaKuiBQ==
X-Received: by 10.28.206.8 with SMTP id e8mr63756935wmg.57.1470341840911; Thu,
 04 Aug 2016 13:17:20 -0700 (PDT)
MIME-Version: 1.0
References: <1263817237.2894.15.camel@matrix-laptop>
 <m2ziotcm45.fsf@HIDDEN> <871t25fdkb.fsf@HIDDEN>
In-Reply-To: <871t25fdkb.fsf@HIDDEN>
From: Andrew Hyatt <ahyatt@HIDDEN>
Date: Thu, 04 Aug 2016 20:17:08 +0000
Message-ID: <CAM6wYYL_Eua3NR+GRAxFVR4mqKExuGaDrMKbBfKZq3PHroKsxw@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c19437e2043bf053944a3bc
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5410
Cc: 5410 <at> debbugs.gnu.org, Matrix <min.matrix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c19437e2043bf053944a3bc
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

On Wed, Aug 3, 2016 at 10:55 PM Michael Heerdegen <michael_heerdegen@HIDDEN>
wrote:

> Andrew Hyatt <ahyatt@HIDDEN> writes:
>
> > Your example reproduces for me in Emacs 25. My guess is that emacs
> > doesn't really assume that comment lines should be treated as a
> > contiguous text block. Which is sometimes right, sometimes not, in my
> > experience.
>
> We are talking about `show-paren-mode', right?  AFAICT this just calls
> `scan-sexps' and looks if that errors or not, without doing syntactical
> analysis itself.
>


> `parse-sexp-ignore-comments' influences `scan-sexps's behavior in this
> regard, and setting it to nil does change the behavior in this case for
> me.  I guess we could use this for a solution.2
>

Yes, this works to resolve the issue for me too.  Are you saying it should
default to nil always, or for cc-mode?  It seems like setting this to nil
might cause other issues we wouldn't want; ignoring comments usually seems
like the right thing to do.

It'd be nice, I guess, if you could just turn it to nil when in a comment.


>
> > For example, you could have comments that are something
> > like:
> >
> > // This function does three things:
> > // 1) Reverse the string
> > // 2) Uuencode the string
> > // 3) Rot-13 the string
> >
> > Which certainly wouldn't make a lot of sense treated contiguously.
>
> Well, we would not loose anything in this case: parens are already shown
> as mismatches now.
>
>
True, I guess my point is that it'd be strange to consider this as 3
unmatched parens rather than 1 per line.


>
> Michael.
>

--94eb2c19437e2043bf053944a3bc
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 8bit

<div dir="ltr"><div class="gmail_quote"><div dir="ltr">On Wed, Aug 3, 2016 at 10:55 PM Michael Heerdegen &lt;<a href="mailto:michael_heerdegen@HIDDEN">michael_heerdegen@HIDDEN</a>&gt; wrote:<br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Andrew Hyatt &lt;<a href="mailto:ahyatt@HIDDEN" target="_blank">ahyatt@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Your example reproduces for me in Emacs 25. My guess is that emacs<br>
&gt; doesn&#39;t really assume that comment lines should be treated as a<br>
&gt; contiguous text block. Which is sometimes right, sometimes not, in my<br>
&gt; experience.<br>
<br>
We are talking about `show-paren-mode&#39;, right?  AFAICT this just calls<br>
`scan-sexps&#39; and looks if that errors or not, without doing syntactical<br>
analysis itself.<br></blockquote><div><br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>
`parse-sexp-ignore-comments&#39; influences `scan-sexps&#39;s behavior in this<br>
regard, and setting it to nil does change the behavior in this case for<br>
me.  I guess we could use this for a solution.2<br></blockquote><div><br></div><div>Yes, this works to resolve the issue for me too.  Are you saying it should default to nil always, or for cc-mode?  It seems like setting this to nil might cause other issues we wouldn&#39;t want; ignoring comments usually seems like the right thing to do.  </div><div><br></div><div>It&#39;d be nice, I guess, if you could just turn it to nil when in a comment.</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
&gt; For example, you could have comments that are something<br>
&gt; like:<br>
&gt;<br>
&gt; // This function does three things:<br>
&gt; // 1) Reverse the string<br>
&gt; // 2) Uuencode the string<br>
&gt; // 3) Rot-13 the string<br>
&gt;<br>
&gt; Which certainly wouldn&#39;t make a lot of sense treated contiguously.<br>
<br>
Well, we would not loose anything in this case: parens are already shown<br>
as mismatches now.<br>
<br></blockquote><div><br></div><div>True, I guess my point is that it&#39;d be strange to consider this as 3 unmatched parens rather than 1 per line.</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
Michael.<br>
</blockquote></div></div>

--94eb2c19437e2043bf053944a3bc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 4 Aug 2016 02:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 03 22:55:31 2016
Received: from localhost ([127.0.0.1]:55099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bV8ol-0003Zs-O2
	for submit <at> debbugs.gnu.org; Wed, 03 Aug 2016 22:55:31 -0400
Received: from mout.web.de ([212.227.15.3]:61142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1bV8oj-0003Zf-8n
 for 5410 <at> debbugs.gnu.org; Wed, 03 Aug 2016 22:55:29 -0400
Received: from drachen.dragon ([88.67.73.210]) by smtp.web.de (mrweb001) with
 ESMTPSA (Nemesis) id 0LakkS-1apAAY0GUa-00kQlN;
 Thu, 04 Aug 2016 04:55:18 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
References: <1263817237.2894.15.camel@matrix-laptop>
 <m2ziotcm45.fsf@HIDDEN>
Date: Thu, 04 Aug 2016 04:55:16 +0200
In-Reply-To: <m2ziotcm45.fsf@HIDDEN> (Andrew Hyatt's
 message of "Wed, 03 Aug 2016 22:18:50 -0400")
Message-ID: <871t25fdkb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:T0mqx+heZTwbxXb5cmW6HnSaX4Kh9BglW/1NFyJqf0hNr+6QtRm
 oR6hFch06JG6/hWwiTla4ycfJL2aGeQN6dGytzrSdJ7pQ2EIgztY4CZmbjLGWWEae13k4qF
 sv2UCIUNb8VMfhzGlShfZIqZC1qxB9t+zeiTQ+TqtTRPaoC1MJ2l6M2UCN5pgvDYioTIQcA
 wzqMdjb9g7mdE6XH5S75g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:zr1Lv6b+/Q8=:pCtE6XRnYtnrn8ZGmvAOaB
 zhrTDHj03kJYy+vtClJ6ooPJ4yYChjfSNvFSA53p9DaYy1PpNJ/fc0mVgyce4oooEgpq07wVE
 eRufl9N0R+w8K+SXFKwi9TEQ/KyQ0dKfDmQQrNwLdXwWfoqLCKUBnokI6BR3kcBUNlJ1d/fkb
 oR2MgnyDgU3n/Ywix3XdZY8eNFnvxT4L1az4o0ZWCEi7qVwMXRJHzSiX4MKX2SmH6vFbqBnet
 azRFCBUVrcJI0ZIyaM84ta18oZm4HS7+KVA2vtpfoYMN7hoVMIuubq31e6gwR9upTw6UrjKmE
 IustZeMqVQI3uIPyRpSi0C0uiBbxELywWdS1ZugvBPZN7Yxav/QsAn/Zn18d8lVn0RExEBmEy
 3LR2ATRNlhBMhjk9a94JuUgz5XLlKfXY5dAdkTS9km9K76RN+XmGyWACdI0RdbhLtLb3byKOq
 xPE0OkRm1AefriV3LwziOE8PPREeGSifze8uqPTNgjQkDTdMN5muqODzGtye3NIyQPSbxRbhI
 3A/wC3hC//4zwhw+2z659Tz/iVaWx2yeT6p8GjWYXKJAq2mO32+Cu6FNcwUVGdVIsWDNPMUSV
 9HL/RWEzibuqQX46kaOWdyqw140CDnuJYOaKN6KC+L1jdeOYne5lL4XQn69cwDLgJ1jgSG7it
 AHiy/eMCYqXhWVsBzwVKS7rzDDnT/8rCknjrpL3tsCFIWx3ffaxb3KhISMXskLHJ2e2bTauMf
 J8bd1Zouc33uRixizwaEUsFN+mKE5PqE7I2aiAPwTegL0XsiuJytoJaa2Cno4+fYyPWXZeq08
 +KsDEIh
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 5410
Cc: 5410 <at> debbugs.gnu.org, Matrix <min.matrix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

Andrew Hyatt <ahyatt@HIDDEN> writes:

> Your example reproduces for me in Emacs 25. My guess is that emacs
> doesn't really assume that comment lines should be treated as a
> contiguous text block. Which is sometimes right, sometimes not, in my
> experience.

We are talking about `show-paren-mode', right?  AFAICT this just calls
`scan-sexps' and looks if that errors or not, without doing syntactical
analysis itself.

`parse-sexp-ignore-comments' influences `scan-sexps's behavior in this
regard, and setting it to nil does change the behavior in this case for
me.  I guess we could use this for a solution.

> For example, you could have comments that are something
> like:
>
> // This function does three things:
> // 1) Reverse the string
> // 2) Uuencode the string
> // 3) Rot-13 the string
>
> Which certainly wouldn't make a lot of sense treated contiguously.

Well, we would not loose anything in this case: parens are already shown
as mismatches now.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.

Message received at 5410 <at> debbugs.gnu.org:


Received: (at 5410) by debbugs.gnu.org; 4 Aug 2016 02:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 03 22:18:58 2016
Received: from localhost ([127.0.0.1]:55073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bV8FO-0002hY-EN
	for submit <at> debbugs.gnu.org; Wed, 03 Aug 2016 22:18:58 -0400
Received: from mail-qk0-f181.google.com ([209.85.220.181]:34778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bV8FN-0002hM-7S
 for 5410 <at> debbugs.gnu.org; Wed, 03 Aug 2016 22:18:57 -0400
Received: by mail-qk0-f181.google.com with SMTP id p186so94564840qkd.1
 for <5410 <at> debbugs.gnu.org>; Wed, 03 Aug 2016 19:18:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bN0uuLLZlL+vMOg8CTOGxLxVcyI+UotNe4rOaiULoWc=;
 b=oKZGQqQ3NCZSyMzMbQJTNHg3BwankZry0emUFDDP/SWLczUxboW5qZf9jCMkRRVI6L
 aYDKptG1TuDfFvR99mKhLKWkhWT5cx6A9XV64PrUcIvG26M/8Zma4XcA6Lc2HSAVMWIR
 PVMDsmyzKhmO14xjEKIrcROCUzR/NX4g+0+4FjquUylbE+tVE5oDFCDjneF2Ij6Awyks
 56cyo44AV4TdnqeY9tjrfTs13hKFP/tWNG6X3Ebak1vtXGx7ghL3dlXj+9g6XwrS1exM
 W6mu13ct0qQr6Uvqp4XRP41sx77runFKMJD6w0CZ1e7UZIeIukJ4WENdgZ6srMXmKlE5
 cE6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bN0uuLLZlL+vMOg8CTOGxLxVcyI+UotNe4rOaiULoWc=;
 b=kzf3f6MXhmZQHaeSyObhH4lh6LqKWt3u0jhY9LknN9+wjzU1lU2KVHShEfLDXxhizo
 Pe5oAb0msVZkMr/7eJ6cOCwoWzucBOcPDCgPH8G2TYZGLAu7UwvKFhIHaIxHJGcJuhFn
 /BbqpYlKLqVtfNRW/dqDaFrNGSWiv8WVn4J/85UBcnbkNnp1hEsIjmf3/UXDpRPLJMLf
 uSupNcToLGpvxw7QSU4xNx1DlqbrZuTaHjIrvuXs4La0PgUYuML5vTV11qSBNmbr3zt3
 Cpuous4oXl9dyKZf6lZHOx/BXpn1Sgc5vp83uHoxtkmKF2w0RuW7b4QfG1znuRzzw9iC
 nwXw==
X-Gm-Message-State: AEkoouvBNRDG4gIeYjy0EUOKmoOl+q3KTBILzrHa9mz1tNfs43P5tQb2PVSIRqeA4w4ccA==
X-Received: by 10.55.24.234 with SMTP id 103mr3641172qky.201.1470277131684;
 Wed, 03 Aug 2016 19:18:51 -0700 (PDT)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id b142sm5706637qkc.43.2016.08.03.19.18.50
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 03 Aug 2016 19:18:50 -0700 (PDT)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Matrix <min.matrix@HIDDEN>
Subject: Re: bug#5410: Parenthesis Matching Bug!!
References: <1263817237.2894.15.camel@matrix-laptop>
Date: Wed, 03 Aug 2016 22:18:50 -0400
In-Reply-To: <1263817237.2894.15.camel@matrix-laptop> (Matrix's message of
 "Mon, 18 Jan 2010 20:20:37 +0800")
Message-ID: <m2ziotcm45.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5410
Cc: 5410 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Matrix <min.matrix@HIDDEN> writes:

> Hello , developer! I am a student of china . I like emacs very much .
> I use it to read txt-format book(because the color-theme of my emacs is
> very good for eye!^^) . I also use emacs to coding!good~!!
>    But now I find a bug in emacs :( . May be it`s not a bug , I want to
> believe this.Now The-Bug as follow:
>
>    //      Print a message and dump core (equivalent to ASSERT(FALSE)
> without
> //      making the compiler whine).
>
>    The Parenthesis-Matching-highlight is work with the second '(' .
> yeah  , When my cursor at the second '(' the first ')' highlight . But
> when my cursor at first '(' , the second ')' doesn`t highlight and show 
> unmatch Parenthesis....I think this is wrong , It match as:  (  ( )  ).
>
>    ^^ , I like emacs , I want it  to be  more good tool for me and other
> programer!!
>    Thanks developers!!!

Hi, sorry for the late reply.

Your example reproduces for me in Emacs 25. My guess is that emacs
doesn't really assume that comment lines should be treated as a
contiguous text block. Which is sometimes right, sometimes not, in my
experience.  For example, you could have comments that are something
like:

// This function does three things:
// 1) Reverse the string
// 2) Uuencode the string
// 3) Rot-13 the string

Which certainly wouldn't make a lot of sense treated contiguously.

Does anyone have any opinions whether this is a bug or a wishlish item?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.
Changed bug title to 'show-paren-mode and parens spread over multi-line comments' from 'Parenthesis Matching Bug!!' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.0.90. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'emacs,cc-mode'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 5410 5411. Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2010 12:55:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 18 07:55:36 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NWr8q-0006yz-0t
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:55:36 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqbE-000671-EV
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:20:52 -0500
Received: from mail.gnu.org ([199.232.76.166]:35870 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqb9-0002dD-2O
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:20:47 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <min.matrix@HIDDEN>) id 1NWqb7-0002Fs-KB
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:20:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=AWL,BAYES_00,
	UNPARSEABLE_RELAY autolearn=ham version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:56457)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqb7-0002Fo-Dg
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:20:45 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NWqb6-0000Q2-TX
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:20:44 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NWqb2-0000Oa-2Q
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:20:44 -0500
Received: from [199.232.76.173] (port=38801 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NWqb1-0000OW-TA
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:20:40 -0500
Received: from mail-px0-f192.google.com ([209.85.216.192]:57160)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqb1-0002FY-KN
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:20:39 -0500
Received: by pxi30 with SMTP id 30so1911790pxi.14
	for <bug-gnu-emacs@HIDDEN>; Mon, 18 Jan 2010 04:20:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:subject:from:to:content-type
	:date:message-id:mime-version:x-mailer:content-transfer-encoding;
	bh=bOz72ilWqBzELRoupHlPQ6VxGK6XsiNmxlS0AK6jizc=;
	b=jE0L5uV+C5uDvGIxNvaUGlzzUifNujYKy49DbvdRKyafq6WzZP/J0qYaylV1+gBSS1
	hB34TCVbjdTMZk6DnqLHEeagrCwJQBKiPDf8vVpUpzfSB0S4sIRzDgSRYDBOzCKYTabc
	UmCWRy9Xt8jHxSUVpb94eWDiIN5qOFbjIT+0s=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=subject:from:to:content-type:date:message-id:mime-version:x-mailer
	:content-transfer-encoding;
	b=wCFi0bA8Ml3fKk5fqQ4m115wufl1j0Gp6EPDyDziuoBD+k0luydu5Q/rXGdkMTYzHp
	gp5SXduesm0edh7oWtgjZZGyhT31ynkHBxq/fqdOaMnKdRhXhrXb3sndq2WD8l5RBUoq
	Mhdzkq+xags3Rjmdq5vTMo68htqFZ9ZRjPeFw=
Received: by 10.143.27.21 with SMTP id e21mr4205289wfj.83.1263817238779;
	Mon, 18 Jan 2010 04:20:38 -0800 (PST)
Received: from ?219.228.60.67? ([219.228.60.67])
	by mx.google.com with ESMTPS id 20sm4220294pzk.13.2010.01.18.04.20.37
	(version=SSLv3 cipher=RC4-MD5); Mon, 18 Jan 2010 04:20:38 -0800 (PST)
Subject: Parenthesis Matching Bug!!
From: Matrix <min.matrix@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Date: Mon, 18 Jan 2010 20:20:37 +0800
Message-ID: <1263817237.2894.15.camel@matrix-laptop>
Mime-Version: 1.0
X-Mailer: Evolution 2.28.1 
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 18 Jan 2010 07:55:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hello , developer! I am a student of china . I like emacs very much .
I use it to read txt-format book(because the color-theme of my emacs is
very good for eye!^^) . I also use emacs to coding!good~!!
   But now I find a bug in emacs :( . May be it`s not a bug , I want to
believe this.Now The-Bug as follow:

   //      Print a message and dump core (equivalent to ASSERT(FALSE)
without
//      making the compiler whine).

   The Parenthesis-Matching-highlight is work with the second '(' .
yeah  , When my cursor at the second '(' the first ')' highlight . But
when my cursor at first '(' , the second ')' doesn`t highlight and show 
unmatch Parenthesis....I think this is wrong , It match as:  (  ( )  ).

   ^^ , I like emacs , I want it  to be  more good tool for me and other
programer!!
   Thanks developers!!!







Acknowledgement sent to Matrix <min.matrix@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5410; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.